Package com.github.lgooddatepicker.components

# Class ComponentEvent

java.lang.Object
com.github.lgooddatepicker.components.ComponentEvent

public class ComponentEvent extends Object

Author:
  mcwolfy

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`NEXT_MONTH`
`static final int`
`NEXT_YEAR`
`static final int`
`PREVIOUS_MONTH`
`static final int`
`PREVIOUS_YEAR`

## Constructor Summary

Constructors
Constructor
Description
`ComponentEvent(int what, JComponent component)`

## Method Summary

Modifier and Type
Method
Description
`JComponent`
`getComponent()`
`int`
`getWhat()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PREVIOUS_YEAR

public static final int PREVIOUS_YEAR

See Also:
  - Constant Field Values

### PREVIOUS_MONTH

public static final int PREVIOUS_MONTH

See Also:
  - Constant Field Values

### NEXT_MONTH

public static final int NEXT_MONTH

See Also:
  - Constant Field Values

### NEXT_YEAR

public static final int NEXT_YEAR

See Also:
  - Constant Field Values

## Constructor Details

### ComponentEvent

public ComponentEvent(int what, JComponent component)

## Method Details

### getWhat

public int getWhat()

### getComponent

public JComponent getComponent()